Results 1 to 3 of 3

Thread: Sound, VLC setup

  1. #1
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,500

    Default Sound, VLC setup

    FWIW, info only

    After clean install of 64bit version sound worked ok.

    after initialization of sound cards via yast-sound
    the additional package was needed

    alsa-firmware-1.0.29-3.2.noarch

    vlc did not play encrypted film-dvds before install of

    libdvdcss2-1.2.13-5.2.x86_64

    should not these packages be included as dependencies?

    hths

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,283
    Blog Entries
    2

    Default Re: Sound, VLC setup

    You'll find the need to change vendor to Packman necessary to acquire and run multimedia codecs which are not completely free. Unlike some other distros, SUSE/openSUSE takes a very strict stance on any apps and libraries that are not completely free.

    Find the number your Packman repo is by displaying your repos as follows
    Code:
    zypper lr
    Noting the number of your Packman repo,
    Code:
    zypper dup --from Packman_repo_number
    Now, whenever a package exists both in OSS and Packman, Packman packages will be given a priority.

    Your problem should be solved.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,500

    Default Re: Sound, VLC setup

    hi,

    thx for the reply

    the alsa install is a mix, (maybe a partial update of repos)

    alsa, alsa-plugins, alsa-plugins-pulse, alsa-plugins-pulse-32bit
    are version 1.0.29-10.1 from
    URL:http://download.opensuse.org:80/update/leap/42.1/oss/

    alsa-oss, alsa-oss-32bit are version 1.0.28-5.2 also from
    URL:http://download.opensuse.org:80/update/leap/42.1/oss/ |

    alsa-utils is version 1.0.29-9.1 from
    URL:http://download.opensuse.org:80/dist...42.1/repo/oss/

    alsa-firmware is version 1.0.29-3.2 also from
    URL:http://download.opensuse.org:80/dist...42.1/repo/oss/



    all of the vlc packages are version 2.2.2-2.1 from
    URL:http://ftp.gwdg.de:80/pub/linux/misc...USE_Leap_42.1/
    (so no cross source)

    libdvdcss2-1.2.13-5.2.x86_64 is from URL:http://opensuse-guide.org:80/repo/13.1/

    all are latest updates per <2016Feb29><22:21>

    cheers

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •